package cn.com.tenlion.systembase.pojo.vos.organization;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: OrganizationVO
 * @Description: 社会组织
 * @Author: CodeFactory
 * @Date: 2021-11-04 15:17:38
 * @Version: 3.0
 **/
@ApiModel
public class OrganizationVO {

    @ApiModelProperty(name = "organizationName", value = "组织名称")
    @CheckEmptyAnnotation(name = "组织名称")
    private String organizationName;
    @ApiModelProperty(name = "organizationTypeId", value = "组织类型ID")
    @CheckEmptyAnnotation(name = "组织类型ID")
    private String organizationTypeId;
    @ApiModelProperty(name = "organizationTypeName", value = "组织类型名称")
    @CheckEmptyAnnotation(name = "组织类型名称")
    private String organizationTypeName;
    @ApiModelProperty(name = "organizationStatus", value = "组织状态")
    @CheckNumberAnnotation(name = "组织状态")
    private Integer organizationStatus;
    @ApiModelProperty(name = "organizationSummary", value = "组织简介")
    private String organizationSummary;
    @ApiModelProperty(name = "businessRegNo", value = "统一社会信用代码")
    @CheckEmptyAnnotation(name = "统一社会信用代码")
    private String businessRegNo;
    @ApiModelProperty(name = "businessLicense", value = "营业执照")
    private String businessLicense;
    @ApiModelProperty(name = "businessLicenseStartDate", value = "营业执照开始时间")
    private String businessLicenseStartDate;
    @ApiModelProperty(name = "businessLicenseEndDate", value = "营业执照结束时间")
    private String businessLicenseEndDate;
    @ApiModelProperty(name = "registrationNo", value = "登记证号")
    private String registrationNo;
    @ApiModelProperty(name = "registrationAuthorityNo", value = "登记管理机关代码")
    private String registrationAuthorityNo;
    @ApiModelProperty(name = "legalPersonName", value = "法人姓名")
    private String legalPersonName;
    @ApiModelProperty(name = "residence", value = "住所")
    private String residence;
    @ApiModelProperty(name = "approvalDate", value = "批准日期")
    private String approvalDate;
    @ApiModelProperty(name = "masterName", value = "负责人姓名")
    private String masterName;
    @ApiModelProperty(name = "masterPhone", value = "负责人联系方式")
    private String masterPhone;
    @ApiModelProperty(name = "masterIdCardCode", value = "负责人证件代码")
    private String masterIdCardCode;
    @ApiModelProperty(name = "masterIdCardCodeName", value = "负责人证件代码名称")
    private String masterIdCardCodeName;
    @ApiModelProperty(name = "masterIdCard", value = "负责人证件号码")
    private String masterIdCard;
    @ApiModelProperty(name = "masterIdCardFront", value = "负责人证件正面")
    private String masterIdCardFront;
    @ApiModelProperty(name = "masterIdCardBack", value = "负责人证件背面")
    private String masterIdCardBack;
    @ApiModelProperty(name = "officeAddress", value = "办公地址")
    private String officeAddress;
    @ApiModelProperty(name = "securityPersonName", value = "治保负责人姓名")
    private String securityPersonName;
    @ApiModelProperty(name = "securityPersonPhone", value = "治保负责人联系方式")
    private String securityPersonPhone;
    @ApiModelProperty(name = "degreeOfConcernId", value = "关注度ID")
    private String degreeOfConcernId;
    @ApiModelProperty(name = "degreeOfConcernName", value = "关注度名称")
    private String degreeOfConcernName;
    @ApiModelProperty(name = "canEstablishPartyOrg", value = "是否具备建立中共党组织条件")
    @CheckNumberAnnotation(name = "是否具备建立中共党组织条件")
    private Integer canEstablishPartyOrg;
    @ApiModelProperty(name = "hasPartyOrg", value = "是否有党组织")
    @CheckNumberAnnotation(name = "是否有党组织")
    private Integer hasPartyOrg;
    @ApiModelProperty(name = "partyOrgTotalPerson", value = "中共党员数量")
    @CheckNumberAnnotation(name = "中共党员数量")
    private Integer partyOrgTotalPerson;
    @ApiModelProperty(name = "hasLabourUnion", value = "是否有工会")
    @CheckNumberAnnotation(name = "是否有工会")
    private Integer hasLabourUnion;
    @ApiModelProperty(name = "labourUnionTotalPerson", value = "工会会员数量")
    @CheckNumberAnnotation(name = "工会会员数量")
    private Integer labourUnionTotalPerson;
    @ApiModelProperty(name = "hasCommunistYouthLeague", value = "是否有共青团")
    @CheckNumberAnnotation(name = "是否有共青团")
    private Integer hasCommunistYouthLeague;
    @ApiModelProperty(name = "communistYouthLeagueTotalPerson", value = "共青团团员数量")
    @CheckNumberAnnotation(name = "共青团团员数量")
    private Integer communistYouthLeagueTotalPerson;
    @ApiModelProperty(name = "hasWomenFederation", value = "是否有妇联")
    @CheckNumberAnnotation(name = "是否有妇联")
    private Integer hasWomenFederation;
    @ApiModelProperty(name = "womenTotalPerson", value = "妇女数量")
    @CheckNumberAnnotation(name = "妇女数量")
    private Integer womenTotalPerson;
    @ApiModelProperty(name = "sourceOfFunds", value = "资金来源")
    private String sourceOfFunds;
    @ApiModelProperty(name = "hasOverseasBackground", value = "是否有境外背景")
    @CheckNumberAnnotation(name = "是否有境外背景")
    private Integer hasOverseasBackground;
    @ApiModelProperty(name = "organizationLng", value = "组织经度")
    private String organizationLng;
    @ApiModelProperty(name = "organizationLat", value = "组织维度")
    private String organizationLat;
    @ApiModelProperty(name = "areaCode", value = "地区编码")
    private String areaCode;
    @ApiModelProperty(name = "areaName", value = "地区名称")
    private String areaName;
    @ApiModelProperty(name = "gridCode", value = "网格编码")
    private String gridCode;
    @ApiModelProperty(name = "gridName", value = "网格名称")
    private String gridName;
    @ApiModelProperty(name = "remarks", value = "备注")
    private String remarks;
    @ApiModelProperty(name = "facadePhotos", value = "门面照片")
    private String facadePhotos;
    @ApiModelProperty(name = "workplacePhotos", value = "工作场所照片")
    private String workplacePhotos;

    public String getOrganizationName() {
        return organizationName == null ? "" : organizationName.trim();
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public String getOrganizationTypeId() {
        return organizationTypeId == null ? "" : organizationTypeId.trim();
    }

    public void setOrganizationTypeId(String organizationTypeId) {
        this.organizationTypeId = organizationTypeId;
    }

    public String getOrganizationTypeName() {
        return organizationTypeName == null ? "" : organizationTypeName.trim();
    }

    public void setOrganizationTypeName(String organizationTypeName) {
        this.organizationTypeName = organizationTypeName;
    }

    public Integer getOrganizationStatus() {
        return organizationStatus == null ? 0 : organizationStatus;
    }

    public void setOrganizationStatus(Integer organizationStatus) {
        this.organizationStatus = organizationStatus;
    }

    public String getOrganizationSummary() {
        return organizationSummary == null ? "" : organizationSummary.trim();
    }

    public void setOrganizationSummary(String organizationSummary) {
        this.organizationSummary = organizationSummary;
    }

    public String getBusinessRegNo() {
        return businessRegNo == null ? "" : businessRegNo.trim();
    }

    public void setBusinessRegNo(String businessRegNo) {
        this.businessRegNo = businessRegNo;
    }

    public String getBusinessLicense() {
        return businessLicense == null ? "" : businessLicense.trim();
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getBusinessLicenseStartDate() {
        return businessLicenseStartDate == null ? "" : businessLicenseStartDate.trim();
    }

    public void setBusinessLicenseStartDate(String businessLicenseStartDate) {
        this.businessLicenseStartDate = businessLicenseStartDate;
    }

    public String getBusinessLicenseEndDate() {
        return businessLicenseEndDate == null ? "" : businessLicenseEndDate.trim();
    }

    public void setBusinessLicenseEndDate(String businessLicenseEndDate) {
        this.businessLicenseEndDate = businessLicenseEndDate;
    }

    public String getRegistrationNo() {
        return registrationNo == null ? "" : registrationNo.trim();
    }

    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    public String getRegistrationAuthorityNo() {
        return registrationAuthorityNo == null ? "" : registrationAuthorityNo.trim();
    }

    public void setRegistrationAuthorityNo(String registrationAuthorityNo) {
        this.registrationAuthorityNo = registrationAuthorityNo;
    }

    public String getLegalPersonName() {
        return legalPersonName == null ? "" : legalPersonName.trim();
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getResidence() {
        return residence == null ? "" : residence.trim();
    }

    public void setResidence(String residence) {
        this.residence = residence;
    }

    public String getApprovalDate() {
        return approvalDate == null ? "" : approvalDate.trim();
    }

    public void setApprovalDate(String approvalDate) {
        this.approvalDate = approvalDate;
    }

    public String getMasterName() {
        return masterName == null ? "" : masterName.trim();
    }

    public void setMasterName(String masterName) {
        this.masterName = masterName;
    }

    public String getMasterPhone() {
        return masterPhone == null ? "" : masterPhone.trim();
    }

    public void setMasterPhone(String masterPhone) {
        this.masterPhone = masterPhone;
    }

    public String getMasterIdCardCode() {
        return masterIdCardCode == null ? "" : masterIdCardCode.trim();
    }

    public void setMasterIdCardCode(String masterIdCardCode) {
        this.masterIdCardCode = masterIdCardCode;
    }

    public String getMasterIdCardCodeName() {
        return masterIdCardCodeName == null ? "" : masterIdCardCodeName.trim();
    }

    public void setMasterIdCardCodeName(String masterIdCardCodeName) {
        this.masterIdCardCodeName = masterIdCardCodeName;
    }

    public String getMasterIdCard() {
        return masterIdCard == null ? "" : masterIdCard.trim();
    }

    public void setMasterIdCard(String masterIdCard) {
        this.masterIdCard = masterIdCard;
    }

    public String getMasterIdCardFront() {
        return masterIdCardFront == null ? "" : masterIdCardFront.trim();
    }

    public void setMasterIdCardFront(String masterIdCardFront) {
        this.masterIdCardFront = masterIdCardFront;
    }

    public String getMasterIdCardBack() {
        return masterIdCardBack == null ? "" : masterIdCardBack.trim();
    }

    public void setMasterIdCardBack(String masterIdCardBack) {
        this.masterIdCardBack = masterIdCardBack;
    }

    public String getOfficeAddress() {
        return officeAddress == null ? "" : officeAddress.trim();
    }

    public void setOfficeAddress(String officeAddress) {
        this.officeAddress = officeAddress;
    }

    public String getSecurityPersonName() {
        return securityPersonName == null ? "" : securityPersonName.trim();
    }

    public void setSecurityPersonName(String securityPersonName) {
        this.securityPersonName = securityPersonName;
    }

    public String getSecurityPersonPhone() {
        return securityPersonPhone == null ? "" : securityPersonPhone.trim();
    }

    public void setSecurityPersonPhone(String securityPersonPhone) {
        this.securityPersonPhone = securityPersonPhone;
    }

    public String getDegreeOfConcernId() {
        return degreeOfConcernId == null ? "" : degreeOfConcernId.trim();
    }

    public void setDegreeOfConcernId(String degreeOfConcernId) {
        this.degreeOfConcernId = degreeOfConcernId;
    }

    public String getDegreeOfConcernName() {
        return degreeOfConcernName == null ? "" : degreeOfConcernName.trim();
    }

    public void setDegreeOfConcernName(String degreeOfConcernName) {
        this.degreeOfConcernName = degreeOfConcernName;
    }

    public Integer getCanEstablishPartyOrg() {
        return canEstablishPartyOrg == null ? 0 : canEstablishPartyOrg;
    }

    public void setCanEstablishPartyOrg(Integer canEstablishPartyOrg) {
        this.canEstablishPartyOrg = canEstablishPartyOrg;
    }

    public Integer getHasPartyOrg() {
        return hasPartyOrg == null ? 0 : hasPartyOrg;
    }

    public void setHasPartyOrg(Integer hasPartyOrg) {
        this.hasPartyOrg = hasPartyOrg;
    }

    public Integer getPartyOrgTotalPerson() {
        return partyOrgTotalPerson == null ? 0 : partyOrgTotalPerson;
    }

    public void setPartyOrgTotalPerson(Integer partyOrgTotalPerson) {
        this.partyOrgTotalPerson = partyOrgTotalPerson;
    }

    public Integer getHasLabourUnion() {
        return hasLabourUnion == null ? 0 : hasLabourUnion;
    }

    public void setHasLabourUnion(Integer hasLabourUnion) {
        this.hasLabourUnion = hasLabourUnion;
    }

    public Integer getLabourUnionTotalPerson() {
        return labourUnionTotalPerson == null ? 0 : labourUnionTotalPerson;
    }

    public void setLabourUnionTotalPerson(Integer labourUnionTotalPerson) {
        this.labourUnionTotalPerson = labourUnionTotalPerson;
    }

    public Integer getHasCommunistYouthLeague() {
        return hasCommunistYouthLeague == null ? 0 : hasCommunistYouthLeague;
    }

    public void setHasCommunistYouthLeague(Integer hasCommunistYouthLeague) {
        this.hasCommunistYouthLeague = hasCommunistYouthLeague;
    }

    public Integer getCommunistYouthLeagueTotalPerson() {
        return communistYouthLeagueTotalPerson == null ? 0 : communistYouthLeagueTotalPerson;
    }

    public void setCommunistYouthLeagueTotalPerson(Integer communistYouthLeagueTotalPerson) {
        this.communistYouthLeagueTotalPerson = communistYouthLeagueTotalPerson;
    }

    public Integer getHasWomenFederation() {
        return hasWomenFederation == null ? 0 : hasWomenFederation;
    }

    public void setHasWomenFederation(Integer hasWomenFederation) {
        this.hasWomenFederation = hasWomenFederation;
    }

    public Integer getWomenTotalPerson() {
        return womenTotalPerson == null ? 0 : womenTotalPerson;
    }

    public void setWomenTotalPerson(Integer womenTotalPerson) {
        this.womenTotalPerson = womenTotalPerson;
    }

    public String getSourceOfFunds() {
        return sourceOfFunds == null ? "" : sourceOfFunds.trim();
    }

    public void setSourceOfFunds(String sourceOfFunds) {
        this.sourceOfFunds = sourceOfFunds;
    }

    public Integer getHasOverseasBackground() {
        return hasOverseasBackground == null ? 0 : hasOverseasBackground;
    }

    public void setHasOverseasBackground(Integer hasOverseasBackground) {
        this.hasOverseasBackground = hasOverseasBackground;
    }

    public String getOrganizationLng() {
        return organizationLng == null ? "" : organizationLng.trim();
    }

    public void setOrganizationLng(String organizationLng) {
        this.organizationLng = organizationLng;
    }

    public String getOrganizationLat() {
        return organizationLat == null ? "" : organizationLat.trim();
    }

    public void setOrganizationLat(String organizationLat) {
        this.organizationLat = organizationLat;
    }

    public String getAreaCode() {
        return areaCode == null ? "" : areaCode.trim();
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName == null ? "" : areaName.trim();
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getGridCode() {
        return gridCode == null ? "" : gridCode.trim();
    }

    public void setGridCode(String gridCode) {
        this.gridCode = gridCode;
    }

    public String getGridName() {
        return gridName == null ? "" : gridName.trim();
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getRemarks() {
        return remarks == null ? "" : remarks.trim();
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getFacadePhotos() {
        return facadePhotos == null ? "" : facadePhotos.trim();
    }

    public void setFacadePhotos(String facadePhotos) {
        this.facadePhotos = facadePhotos;
    }

    public String getWorkplacePhotos() {
        return workplacePhotos == null ? "" : workplacePhotos.trim();
    }

    public void setWorkplacePhotos(String workplacePhotos) {
        this.workplacePhotos = workplacePhotos;
    }


}
